#!/bin/sh
# Script para editar rápidamente otros script que se encuentren en el PATH de ejecutables o del PATH que se
# especifique manualmente
#
# Modo de uso:
#   escript filepath
#
# Shell: POSIX compliant
# Autor: O. Sánchez <o-sanchez@linuxmail.org>

# Buscar el archivo en el PATH del sistema
FILE_PATH=$(command -v "$1" 2>/dev/null)

if [ -z "$FILE_PATH" ]; then
	# Si el archivo no existe en el PATH, mostrar un mensaje de error
	echo "Error: $1 no existe en el PATH de ejecutables"
	exit 2
else
	# Invocar $EDITOR si está definido, de lo contrario usar vi para editar el archivo si existe
	${EDITOR:-vi} "$FILE_PATH"
	exit 0
fi
