#!/bin/ksh
#
# Versión Korn Shell de basename
#
# Comprobar argumentos
if (($# == 0 || $# > 2 )); then
	printf %s "\
Uso: ${0##*/} string [sufijo]
Ejemplos:
  ${0##*/} /path/foo.xyz
  foo.xyz\n

  ${0##*/} /path/foo .xyz
  foo

"
	exit 1
fi

# Obtener el nombre base
BASE=${1##*/}

# Ver si se ha dado el argumento sufijo
if (($# > 1 )); then
	# Mostrar nombre base sin sufijo
	print ${BASE%$2}
else
	# Mostrar nombre base
	print $BASE
fi
